diff --git a/media/webrtc/trunk/build/android/pylib/test_options_parser.py b/media/webrtc/trunk/build/android/pylib/test_options_parser.py
index ee00f1fffd..e6dc3885c9 100644
--- a/media/webrtc/trunk/build/android/pylib/test_options_parser.py
+++ b/media/webrtc/trunk/build/android/pylib/test_options_parser.py
@@ -4,7 +4,7 @@
 
 """Parses options for the instrumentation tests."""
 
-import constants
+from . import constants
 import optparse
 import os
 import sys
diff --git a/media/webrtc/trunk/build/android/pylib/test_package.py b/media/webrtc/trunk/build/android/pylib/test_package.py
index a47ed72d89..b4ac58a4af 100644
--- a/media/webrtc/trunk/build/android/pylib/test_package.py
+++ b/media/webrtc/trunk/build/android/pylib/test_package.py
@@ -7,10 +7,10 @@ import logging
 import re
 import os
 
-import constants
-from perf_tests_helper import PrintPerfResult
+from . import constants
+from .perf_tests_helper import PrintPerfResult
 from pylib import pexpect
-from test_result import BaseTestResult, TestResults
+from .test_result import BaseTestResult, TestResults
 
 
 # TODO(bulach): TestPackage, TestPackageExecutable and
diff --git a/media/webrtc/trunk/build/android/pylib/test_package_apk.py b/media/webrtc/trunk/build/android/pylib/test_package_apk.py
index 42b9ade68b..9211a2225c 100644
--- a/media/webrtc/trunk/build/android/pylib/test_package_apk.py
+++ b/media/webrtc/trunk/build/android/pylib/test_package_apk.py
@@ -3,15 +3,16 @@
 # found in the LICENSE file.
 
 
+from __future__ import print_function
 import os
 import shlex
 import sys
 import tempfile
 import time
 
-import android_commands
-import constants
-from test_package import TestPackage
+from . import android_commands
+from . import constants
+from .test_package import TestPackage
 from pylib import pexpect
 
 class TestPackageApk(TestPackage):
@@ -61,7 +62,7 @@ class TestPackageApk(TestPackage):
   def _WatchFifo(self, timeout, logfile=None):
     for i in range(10):
       if self.adb.FileExistsOnDevice(self._GetFifo()):
-        print 'Fifo created...'
+        print('Fifo created...')
         break
       time.sleep(i)
     else:
diff --git a/media/webrtc/trunk/build/android/pylib/test_package_executable.py b/media/webrtc/trunk/build/android/pylib/test_package_executable.py
index a11c768fbb..36ea575f2b 100644
--- a/media/webrtc/trunk/build/android/pylib/test_package_executable.py
+++ b/media/webrtc/trunk/build/android/pylib/test_package_executable.py
@@ -9,9 +9,9 @@ import shutil
 import sys
 import tempfile
 
-import cmd_helper
-import constants
-from test_package import TestPackage
+from . import cmd_helper
+from . import constants
+from .test_package import TestPackage
 from pylib import pexpect
 
 
@@ -54,7 +54,7 @@ class TestPackageExecutable(TestPackage):
         logging.critical('Unable to pull gtest ret val file %s',
                          ret_code_file.name)
         raise ValueError
-      ret_code = file(ret_code_file.name).read()
+      ret_code = open(ret_code_file.name).read()
       ret = int(ret_code)
     except ValueError:
       logging.critical('Error reading gtest ret val file %s [%s]',
diff --git a/media/webrtc/trunk/build/android/pylib/test_result.py b/media/webrtc/trunk/build/android/pylib/test_result.py
index 31a546acac..0aa683f309 100644
--- a/media/webrtc/trunk/build/android/pylib/test_result.py
+++ b/media/webrtc/trunk/build/android/pylib/test_result.py
@@ -3,14 +3,15 @@
 # found in the LICENSE file.
 
 
+from __future__ import print_function
 import json
 import logging
 import os
 import time
 import traceback
 
-import buildbot_report
-import constants
+from . import buildbot_report
+from . import constants
 
 
 class BaseTestResult(object):
@@ -146,9 +147,9 @@ class TestResults(object):
       full_file_name = os.path.join(log_file_path, test_group)
       if not os.path.exists(full_file_name):
         with open(full_file_name, 'w') as log_file:
-          print >> log_file, '\n%s results for %s build %s:' % (
+          print('\n%s results for %s build %s:' % (
               test_group, os.environ.get('BUILDBOT_BUILDERNAME'),
-              os.environ.get('BUILDBOT_BUILDNUMBER'))
+              os.environ.get('BUILDBOT_BUILDNUMBER')), file=log_file)
       log_contents = ['  %s result : %d tests ran' % (test_suite,
                                                       len(self.ok) +
                                                       len(self.failed) +
@@ -160,14 +161,14 @@ class TestResults(object):
         if count:
           log_contents.append(', %d tests %s' % (count, result))
       with open(full_file_name, 'a') as log_file:
-        print >> log_file, ''.join(log_contents)
+        print(''.join(log_contents), file=log_file)
       content = {'test_group': test_group,
                  'ok': [t.name for t in self.ok],
                  'failed': [t.name for t in self.failed],
                  'crashed': [t.name for t in self.failed],
                  'unknown': [t.name for t in self.unknown],}
       with open(os.path.join(log_file_path, 'results.json'), 'a') as json_file:
-        print >> json_file, json.dumps(content)
+        print(json.dumps(content), file=json_file)
 
     # Summarize in the test output.
     summary_string = 'Summary:\n'
@@ -190,4 +191,4 @@ class TestResults(object):
     elif self.failed or self.crashed or self.overall_fail:
       buildbot_report.PrintError()
     else:
-      print 'Step success!'  # No annotation needed
+      print('Step success!')  # No annotation needed
diff --git a/media/webrtc/trunk/build/android/pylib/tests_annotations.py b/media/webrtc/trunk/build/android/pylib/tests_annotations.py
index f2a183466d..bac2b41179 100644
--- a/media/webrtc/trunk/build/android/pylib/tests_annotations.py
+++ b/media/webrtc/trunk/build/android/pylib/tests_annotations.py
@@ -23,7 +23,7 @@ class AnnotatedFunctions(object):
     """
     module_name = os.path.splitext(os.path.basename(
         function.__globals__['__file__']))[0]
-    qualified_function_name = '.'.join([module_name, function.func_name])
+    qualified_function_name = '.'.join([module_name, function.__name__])
     function_list = AnnotatedFunctions._ANNOTATED.get(annotation, [])
     function_list.append(qualified_function_name)
     AnnotatedFunctions._ANNOTATED[annotation] = function_list
@@ -52,7 +52,7 @@ class AnnotatedFunctions(object):
       List of all annotations for this function.
     """
     return [annotation
-            for annotation, tests in AnnotatedFunctions._ANNOTATED.iteritems()
+            for annotation, tests in AnnotatedFunctions._ANNOTATED.items()
             if qualified_function_name in tests]
 
 
diff --git a/media/webrtc/trunk/build/android/pylib/valgrind_tools.py b/media/webrtc/trunk/build/android/pylib/valgrind_tools.py
index 810f6be188..43a8b25f9d 100644
--- a/media/webrtc/trunk/build/android/pylib/valgrind_tools.py
+++ b/media/webrtc/trunk/build/android/pylib/valgrind_tools.py
@@ -21,10 +21,11 @@ Run the test as usual.
 Call tool.CleanUpEnvironment().
 """
 
+from __future__ import print_function
 import os.path
 import sys
 
-from constants import CHROME_DIR
+from .constants import CHROME_DIR
 
 
 def SetChromeTimeoutScale(adb, scale):
@@ -250,6 +251,6 @@ def CreateTool(tool_name, adb):
   if ctor:
     return ctor(adb)
   else:
-    print 'Unknown tool %s, available tools: %s' % (
-        tool_name, ', '.join(sorted(TOOL_REGISTRY.keys())))
+    print('Unknown tool %s, available tools: %s' % (
+        tool_name, ', '.join(sorted(TOOL_REGISTRY.keys()))))
     sys.exit(1)
diff --git a/media/webrtc/trunk/build/android/run_tests.py b/media/webrtc/trunk/build/android/run_tests.py
index 8a8bd26954..37fae2e227 100755
--- a/media/webrtc/trunk/build/android/run_tests.py
+++ b/media/webrtc/trunk/build/android/run_tests.py
@@ -49,6 +49,7 @@ loaded. We don't care about the rare testcases which succeeded on emuatlor, but
 failed on device.
 """
 
+from __future__ import print_function
 import fnmatch
 import logging
 import optparse
@@ -220,10 +221,8 @@ class TestSharder(BaseTestSharder):
       if not rebaseline:
         disabled_list = test.GetDisabledTests()
         # Only includes tests that do not have any match in the disabled list.
-        all_tests = filter(lambda t:
-                           not any([fnmatch.fnmatch(t, disabled_pattern)
-                                    for disabled_pattern in disabled_list]),
-                           all_tests)
+        all_tests = [t for t in all_tests if not any([fnmatch.fnmatch(t, disabled_pattern)
+                                    for disabled_pattern in disabled_list])]
       self.tests = all_tests
 
   def CreateShardedTestRunner(self, device, index):
@@ -292,8 +291,8 @@ def _RunATestSuite(options):
       buildbot_emulators.append(buildbot_emulator)
       attached_devices.append(buildbot_emulator.device)
     # Wait for all emulators to boot completed.
-    map(lambda buildbot_emulator: buildbot_emulator.ConfirmLaunch(True),
-        buildbot_emulators)
+    list(map(lambda buildbot_emulator: buildbot_emulator.ConfirmLaunch(True),
+        buildbot_emulators))
   elif options.test_device:
     attached_devices = [options.test_device]
   else:
@@ -370,9 +369,9 @@ def Dispatch(options):
 
 def ListTestSuites():
   """Display a list of available test suites."""
-  print 'Available test suites are:'
+  print('Available test suites are:')
   for test_suite in _TEST_SUITES:
-    print test_suite
+    print(test_suite)
 
 
 def main(argv):
@@ -427,7 +426,7 @@ def main(argv):
 
   options, args = option_parser.parse_args(argv)
   if len(args) > 1:
-    print 'Unknown argument:', args[1:]
+    print('Unknown argument:', args[1:])
     option_parser.print_usage()
     sys.exit(1)
   run_tests_helper.SetLogLevel(options.verbose_count)
diff --git a/media/webrtc/trunk/build/apply_locales.py b/media/webrtc/trunk/build/apply_locales.py
index 6af7280fad..7dd80152be 100755
--- a/media/webrtc/trunk/build/apply_locales.py
+++ b/media/webrtc/trunk/build/apply_locales.py
@@ -5,6 +5,7 @@
 
 # TODO: remove this script when GYP has for loops
 
+from __future__ import print_function
 import sys
 import optparse
 
@@ -20,7 +21,7 @@ def main(argv):
   (options, arglist) = parser.parse_args(argv)
 
   if len(arglist) < 3:
-    print 'ERROR: need string and list of locales'
+    print('ERROR: need string and list of locales')
     return 1
 
   str_template = arglist[1]
@@ -39,7 +40,7 @@ def main(argv):
 
   # Quote each element so filename spaces don't mess up GYP's attempt to parse
   # it into a list.
-  print ' '.join(["'%s'" % x for x in results])
+  print(' '.join(["'%s'" % x for x in results]))
 
 if __name__ == '__main__':
   sys.exit(main(sys.argv))
diff --git a/media/webrtc/trunk/build/compiler_version.py b/media/webrtc/trunk/build/compiler_version.py
index eae7b176dd..dabfe0f2a5 100755
--- a/media/webrtc/trunk/build/compiler_version.py
+++ b/media/webrtc/trunk/build/compiler_version.py
@@ -9,6 +9,7 @@ Print gcc version as XY if you are running gcc X.Y.*.
 This is used to tweak build flags for gcc 4.4.
 """
 
+from __future__ import print_function
 import os
 import re
 import subprocess
@@ -26,11 +27,11 @@ def GetVersion(compiler):
 
     result = re.match(r"(\d+)\.(\d+)", gcc_output)
     return result.group(1) + result.group(2)
-  except Exception, e:
+  except Exception as e:
     if gcc_error:
       sys.stderr.write(gcc_error)
-    print >> sys.stderr, "compiler_version.py failed to execute:", compiler
-    print >> sys.stderr, e
+    print("compiler_version.py failed to execute:", compiler, file=sys.stderr)
+    print(e, file=sys.stderr)
     return ""
 
 def GetVersionFromEnvironment(compiler_env):
@@ -56,18 +57,18 @@ def main():
   # target compiler's version number as gcc_version in Android.
   cxx_version = GetVersionFromEnvironment("CXX_target")
   if cxx_version:
-    print cxx_version
+    print(cxx_version)
     return 0
 
   cxx_version = GetVersionFromEnvironment("CXX")
   if cxx_version:
-    print cxx_version
+    print(cxx_version)
     return 0
 
   # Otherwise we check the g++ version.
   gccversion = GetVersion("g++")
   if gccversion != "":
-    print gccversion
+    print(gccversion)
     return 0
 
   return 1
diff --git a/media/webrtc/trunk/build/copy_test_data_ios.py b/media/webrtc/trunk/build/copy_test_data_ios.py
index 5130735835..d4485cefcc 100755
--- a/media/webrtc/trunk/build/copy_test_data_ios.py
+++ b/media/webrtc/trunk/build/copy_test_data_ios.py
@@ -5,6 +5,7 @@
 
 """Copies test data files or directories into a given output directory."""
 
+from __future__ import print_function
 import optparse
 import os
 import shutil
@@ -93,11 +94,11 @@ def DoMain(argv):
 def main(argv):
   try:
     result = DoMain(argv[1:])
-  except WrongNumberOfArgumentsException, e:
-    print >>sys.stderr, e
+  except WrongNumberOfArgumentsException as e:
+    print(e, file=sys.stderr)
     return 1
   if result:
-    print result
+    print(result)
   return 0
 
 if __name__ == '__main__':
diff --git a/media/webrtc/trunk/build/download_nacl_toolchains.py b/media/webrtc/trunk/build/download_nacl_toolchains.py
index c2007d0f10..c52a2db803 100755
--- a/media/webrtc/trunk/build/download_nacl_toolchains.py
+++ b/media/webrtc/trunk/build/download_nacl_toolchains.py
@@ -5,6 +5,7 @@
 
 """Shim to run nacl toolchain download script only if there is a nacl dir."""
 
+from __future__ import print_function
 import os
 import sys
 
@@ -19,9 +20,9 @@ def Main(args):
   nacl_build_dir = os.path.join(nacl_dir, 'build')
   download_script = os.path.join(nacl_build_dir, 'download_toolchains.py')
   if not os.path.exists(download_script):
-    print "Can't find '%s'" % download_script
-    print 'Presumably you are intentionally building without NativeClient.'
-    print 'Skipping NativeClient toolchain download.'
+    print("Can't find '%s'" % download_script)
+    print('Presumably you are intentionally building without NativeClient.')
+    print('Skipping NativeClient toolchain download.')
     sys.exit(0)
   sys.path.insert(0, nacl_build_dir)
   import download_toolchains
@@ -46,7 +47,7 @@ def Main(args):
     if buildbot_name.find('pnacl') >= 0 and  buildbot_name.find('sdk') >= 0:
       use_pnacl = True
     if use_pnacl:
-      print '\n*** DOWNLOADING PNACL TOOLCHAIN ***\n'
+      print('\n*** DOWNLOADING PNACL TOOLCHAIN ***\n')
     else:
       args.append('--no-pnacl')
 
diff --git a/media/webrtc/trunk/build/escape_unicode.py b/media/webrtc/trunk/build/escape_unicode.py
index 859ba5d03d..2fe5947c68 100755
--- a/media/webrtc/trunk/build/escape_unicode.py
+++ b/media/webrtc/trunk/build/escape_unicode.py
@@ -5,6 +5,7 @@
 
 """Convert any unicode characters found in the input file to C literals."""
 
+from __future__ import print_function
 import codecs
 import optparse
 import os
@@ -20,17 +21,17 @@ def main(argv):
   options, arglist = parser.parse_args(argv)
 
   if not options.output_dir:
-    print "output_dir required"
+    print("output_dir required")
     return 1
 
   if len(arglist) != 2:
-    print "input_file required"
+    print("input_file required")
     return 1
 
   in_filename = arglist[1]
 
   if not in_filename.endswith('.utf8'):
-    print "input_file should end in .utf8"
+    print("input_file should end in .utf8")
     return 1
 
   out_filename = os.path.join(options.output_dir, os.path.basename(
diff --git a/media/webrtc/trunk/build/extract_from_cab.py b/media/webrtc/trunk/build/extract_from_cab.py
index 1c928af36f..fd781c733b 100755
--- a/media/webrtc/trunk/build/extract_from_cab.py
+++ b/media/webrtc/trunk/build/extract_from_cab.py
@@ -5,6 +5,7 @@
 
 """Extracts a single file from a CAB archive."""
 
+from __future__ import print_function
 import os
 import shutil
 import subprocess
@@ -17,12 +18,12 @@ def run_quiet(*args):
   out, _ = popen.communicate()
   if popen.returncode:
     # expand emits errors to stdout, so if we fail, then print that out.
-    print out
+    print(out)
   return popen.returncode
 
 def main():
   if len(sys.argv) != 4:
-    print 'Usage: extract_from_cab.py cab_path archived_file output_dir'
+    print('Usage: extract_from_cab.py cab_path archived_file output_dir')
     return 1
 
   [cab_path, archived_file, output_dir] = sys.argv[1:]
diff --git a/media/webrtc/trunk/build/linux/rewrite_dirs.py b/media/webrtc/trunk/build/linux/rewrite_dirs.py
index 30f22f0cd6..7faf4ca944 100755
--- a/media/webrtc/trunk/build/linux/rewrite_dirs.py
+++ b/media/webrtc/trunk/build/linux/rewrite_dirs.py
@@ -5,6 +5,7 @@
 
 """Rewrites paths in -I, -L and other option to be relative to a sysroot."""
 
+from __future__ import print_function
 import sys
 import os
 import optparse
@@ -63,7 +64,7 @@ def main(argv):
 
   for line in sys.stdin.readlines():
     line = RewriteLine(line.strip(), opts)
-    print line
+    print(line)
   return 0
 
 
diff --git a/media/webrtc/trunk/build/mac/change_mach_o_flags.py b/media/webrtc/trunk/build/mac/change_mach_o_flags.py
index c2aeaec9b1..a0d455d703 100755
--- a/media/webrtc/trunk/build/mac/change_mach_o_flags.py
+++ b/media/webrtc/trunk/build/mac/change_mach_o_flags.py
@@ -106,8 +106,7 @@ def CheckedSeek(file, offset):
   file.seek(offset, os.SEEK_SET)
   new_offset = file.tell()
   if new_offset != offset:
-    raise MachOError, \
-          'seek: expected offset %d, observed %d' % (offset, new_offset)
+    raise MachOError('seek: expected offset %d, observed %d' % (offset, new_offset))
 
 
 def CheckedRead(file, count):
@@ -116,8 +115,7 @@ def CheckedRead(file, count):
 
   bytes = file.read(count)
   if len(bytes) != count:
-    raise MachOError, \
-          'read: expected length %d, observed %d' % (count, len(bytes))
+    raise MachOError('read: expected length %d, observed %d' % (count, len(bytes)))
 
   return bytes
 
@@ -189,17 +187,15 @@ def HandleMachOFile(file, options, offset=0):
   elif magic == MH_CIGAM or magic == MH_CIGAM_64:
     endian = '>'
   else:
-    raise MachOError, \
-          'Mach-O file at offset %d has illusion of magic' % offset
+    raise MachOError('Mach-O file at offset %d has illusion of magic' % offset)
 
   CheckedSeek(file, offset)
   magic, cputype, cpusubtype, filetype, ncmds, sizeofcmds, flags = \
       ReadMachHeader(file, endian)
   assert magic == MH_MAGIC or magic == MH_MAGIC_64
   if filetype != MH_EXECUTE:
-    raise MachOError, \
-          'Mach-O file at offset %d is type 0x%x, expected MH_EXECUTE' % \
-              (offset, filetype)
+    raise MachOError('Mach-O file at offset %d is type 0x%x, expected MH_EXECUTE' % \
+              (offset, filetype))
 
   original_flags = flags
 
@@ -228,7 +224,7 @@ def HandleFatFile(file, options, fat_offset=0):
 
   nfat_arch = ReadUInt32(file, '>')
 
-  for index in xrange(0, nfat_arch):
+  for index in range(0, nfat_arch):
     cputype, cpusubtype, offset, size, align = ReadFatArch(file)
     assert size >= 28
 
@@ -263,7 +259,7 @@ def main(me, args):
       magic == MH_MAGIC_64 or magic == MH_CIGAM_64:
     HandleMachOFile(executable_file, options)
   else:
-    raise MachOError, '%s is not a Mach-O or fat file' % executable_file
+    raise MachOError('%s is not a Mach-O or fat file' % executable_file)
 
   executable_file.close()
   return 0
diff --git a/media/webrtc/trunk/build/mac/find_sdk.py b/media/webrtc/trunk/build/mac/find_sdk.py
index 5be134a707..e9a318c236 100755
--- a/media/webrtc/trunk/build/mac/find_sdk.py
+++ b/media/webrtc/trunk/build/mac/find_sdk.py
@@ -3,6 +3,7 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
+from __future__ import print_function
 import os
 import re
 import subprocess
@@ -20,7 +21,7 @@ from optparse import OptionParser
 
 def parse_version(version_str):
   """'10.5' => [10, 5]"""
-  return map(int, re.findall(r'(\d+)', version_str))
+  return list(map(int, re.findall(r'(\d+)', version_str)))
 
 
 def main():
@@ -40,8 +41,8 @@ def main():
                            stderr=subprocess.STDOUT)
     out, err = job.communicate()
     if job.returncode != 0:
-      print >>sys.stderr, out
-      print >>sys.stderr, err
+      print(out, file=sys.stderr)
+      print(err, file=sys.stderr)
       raise Exception(('Error %d running xcode-select, you might have to run '
                        '|sudo xcode-select --switch /Applications/Xcode.app/Contents/Developer| '
                        'if you are using Xcode 4.') % job.returncode)
@@ -63,21 +64,19 @@ def main():
     best_sdk = ""
 
   if options.verify and best_sdk != min_sdk_version and not options.sdk_path:
-    print >>sys.stderr, ''
-    print >>sys.stderr, '                                           vvvvvvv'
-    print >>sys.stderr, ''
-    print >>sys.stderr, \
-        'This build requires the %s SDK, but it was not found on your system.' \
-        % min_sdk_version
-    print >>sys.stderr, \
-        'Either install it, or explicitly set mac_sdk in your GYP_DEFINES.'
-    print >>sys.stderr, ''
-    print >>sys.stderr, '                                           ^^^^^^^'
-    print >>sys.stderr, ''
+    print('', file=sys.stderr)
+    print('                                           vvvvvvv', file=sys.stderr)
+    print('', file=sys.stderr)
+    print('This build requires the %s SDK, but it was not found on your system.' \
+        % min_sdk_version, file=sys.stderr)
+    print('Either install it, or explicitly set mac_sdk in your GYP_DEFINES.', file=sys.stderr)
+    print('', file=sys.stderr)
+    print('                                           ^^^^^^^', file=sys.stderr)
+    print('', file=sys.stderr)
     return min_sdk_version
 
   return best_sdk
 
 
 if __name__ == '__main__':
-  print main()
+  print(main())
diff --git a/media/webrtc/trunk/build/mac/tweak_info_plist.py b/media/webrtc/trunk/build/mac/tweak_info_plist.py
index 9b57e7da01..751f3214fc 100755
--- a/media/webrtc/trunk/build/mac/tweak_info_plist.py
+++ b/media/webrtc/trunk/build/mac/tweak_info_plist.py
@@ -20,6 +20,7 @@
 # by the time the app target is done, the info.plist is correct.
 #
 
+from __future__ import print_function
 import optparse
 import os
 from os import environ as env
@@ -115,7 +116,7 @@ def _DoSCMKeys(plist, add_keys):
   if scm_revision != None:
     plist['SCMRevision'] = scm_revision
   elif add_keys:
-    print >>sys.stderr, 'Could not determine SCM revision.  This may be OK.'
+    print('Could not determine SCM revision.  This may be OK.', file=sys.stderr)
 
   if scm_path != None:
     plist['SCMPath'] = scm_path
@@ -232,7 +233,7 @@ def Main(argv):
   (options, args) = parser.parse_args(argv)
 
   if len(args) > 0:
-    print >>sys.stderr, parser.get_usage()
+    print(parser.get_usage(), file=sys.stderr)
     return 1
 
   # Read the plist into its parsed format.
@@ -246,7 +247,7 @@ def Main(argv):
   # Add Breakpad if configured to do so.
   if options.use_breakpad:
     if options.branding is None:
-      print >>sys.stderr, 'Use of Breakpad requires branding.'
+      print('Use of Breakpad requires branding.', file=sys.stderr)
       return 1
     _AddBreakpadKeys(plist, options.branding)
     if options.breakpad_uploads:
@@ -265,7 +266,7 @@ def Main(argv):
   # Only add Keystone in Release builds.
   if options.use_keystone and env['CONFIGURATION'] == 'Release':
     if options.bundle_identifier is None:
-      print >>sys.stderr, 'Use of Keystone requires the bundle id.'
+      print('Use of Keystone requires the bundle id.', file=sys.stderr)
       return 1
     _AddKeystoneKeys(plist, options.bundle_identifier)
   else:
diff --git a/media/webrtc/trunk/build/util/lastchange.py b/media/webrtc/trunk/build/util/lastchange.py
index a101341ef7..5ca702f053 100755
--- a/media/webrtc/trunk/build/util/lastchange.py
+++ b/media/webrtc/trunk/build/util/lastchange.py
@@ -7,6 +7,7 @@
 lastchange.py -- Chromium revision fetching utility.
 """
 
+from __future__ import print_function
 import re
 import optparse
 import os
@@ -215,7 +216,7 @@ def main(argv=None):
     version_info.revision = '0'
 
   if opts.revision_only:
-    print version_info.revision
+    print(version_info.revision)
   else:
     contents = "LASTCHANGE=%s\n" % version_info.revision
     if out_file:
diff --git a/media/webrtc/trunk/build/win/install-build-deps.py b/media/webrtc/trunk/build/win/install-build-deps.py
index d9e50b6e7e..a976b81db3 100755
--- a/media/webrtc/trunk/build/win/install-build-deps.py
+++ b/media/webrtc/trunk/build/win/install-build-deps.py
@@ -3,6 +3,7 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
+from __future__ import print_function
 import shutil
 import sys
 import os
@@ -18,11 +19,11 @@ def patch_msbuild():
   backup_path = source_path + ".backup"
   if not os.path.exists(backup_path):
     try:
-      print "Backing up %s..." % source_path
+      print("Backing up %s..." % source_path)
       shutil.copyfile(source_path, backup_path)
     except IOError:
-      print "Could not back up %s to %s. Run as Administrator?" % (
-          source_path, backup_path)
+      print("Could not back up %s to %s. Run as Administrator?" % (
+          source_path, backup_path))
       return 1
 
   source = open(source_path).read()
@@ -35,7 +36,7 @@ def patch_msbuild():
 
   if result != source:
     open(source_path, "w").write(result)
-    print "Patched %s." % source_path
+    print("Patched %s." % source_path)
   return 0
 
 
diff --git a/media/webrtc/trunk/google_apis/build/check_internal.py b/media/webrtc/trunk/google_apis/build/check_internal.py
index da0ddae805..5a43944921 100755
--- a/media/webrtc/trunk/google_apis/build/check_internal.py
+++ b/media/webrtc/trunk/google_apis/build/check_internal.py
@@ -9,12 +9,13 @@ Takes one argument, a path.  Prints 1 if the path exists, 0 if not.
 """
 
 
+from __future__ import print_function
 import os
 import sys
 
 
 if __name__ == '__main__':
   if os.path.exists(sys.argv[1]):
-    print 1
+    print(1)
   else:
-    print 0
+    print(0)
diff --git a/media/webrtc/trunk/testing/generate_gmock_mutant.py b/media/webrtc/trunk/testing/generate_gmock_mutant.py
index 01176da39b..7b1756d333 100755
--- a/media/webrtc/trunk/testing/generate_gmock_mutant.py
+++ b/media/webrtc/trunk/testing/generate_gmock_mutant.py
@@ -376,7 +376,7 @@ def FixCode(s):
 
 
 def GenerateDispatch(prebound, calltime):
-  print "\n// %d - %d" % (prebound, calltime)
+  print("\n// %d - %d" % (prebound, calltime))
   args = {
       "template_params": Merge([Gen("typename P%", prebound),
                                 Gen("typename C%", calltime)]),
@@ -385,12 +385,12 @@ def GenerateDispatch(prebound, calltime):
       "args": Merge([GenAlpha("p.%", prebound), GenAlpha("c.%", calltime)]),
   }
 
-  print FixCode(DISPATCH_TO_METHOD_TEMPLATE % args)
-  print FixCode(DISPATCH_TO_FUNCTION_TEMPLATE % args)
+  print(FixCode(DISPATCH_TO_METHOD_TEMPLATE % args))
+  print(FixCode(DISPATCH_TO_FUNCTION_TEMPLATE % args))
 
 
 def GenerateCreateFunctor(prebound, calltime):
-  print "// %d - %d" % (prebound, calltime)
+  print("// %d - %d" % (prebound, calltime))
   args = {
       "calltime": GenTuple("A%", calltime),
       "prebound": GenTuple("P%", prebound),
@@ -403,51 +403,51 @@ def GenerateCreateFunctor(prebound, calltime):
   }
 
   mutant = FixCode(CREATE_METHOD_FUNCTOR_TEMPLATE % args)
-  print mutant
+  print(mutant)
 
   # Slightly different version for free function call.
-  print "\n", FixCode(CREATE_FUNCTION_FUNCTOR_TEMPLATE % args)
+  print("\n", FixCode(CREATE_FUNCTION_FUNCTOR_TEMPLATE % args))
 
   # Functor with pointer to a pointer of the object.
-  print "\n#ifdef GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING"
+  print("\n#ifdef GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING")
   mutant2 = mutant.replace("CreateFunctor(T* obj,", "CreateFunctor(T** obj,")
   mutant2 = mutant2.replace("new Mutant", "new MutantLateObjectBind")
   mutant2 = mutant2.replace(" " * 17 + "Tuple", " " * 31 + "Tuple")
-  print mutant2
-  print "#endif  // GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING\n"
+  print(mutant2)
+  print("#endif  // GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING\n")
 
   # OS_WIN specific. Same functors but with stdcall calling conventions.
   # Functor for method with __stdcall calling conventions.
-  print "#if defined (OS_WIN)"
+  print("#if defined (OS_WIN)")
   stdcall_method = CREATE_METHOD_FUNCTOR_TEMPLATE
   stdcall_method = stdcall_method.replace("U::", "__stdcall U::")
   stdcall_method = FixCode(stdcall_method % args)
-  print stdcall_method
+  print(stdcall_method)
   # Functor for free function with __stdcall calling conventions.
   stdcall_function = CREATE_FUNCTION_FUNCTOR_TEMPLATE
   stdcall_function = stdcall_function.replace("R (*", "R (__stdcall *");
-  print "\n", FixCode(stdcall_function % args)
+  print("\n", FixCode(stdcall_function % args))
 
-  print "#ifdef GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING"
+  print("#ifdef GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING")
   stdcall2 = stdcall_method;
   stdcall2 = stdcall2.replace("CreateFunctor(T* obj,", "CreateFunctor(T** obj,")
   stdcall2 = stdcall2.replace("new Mutant", "new MutantLateObjectBind")
   stdcall2 = stdcall2.replace(" " * 17 + "Tuple", " " * 31 + "Tuple")
-  print stdcall2
-  print "#endif  // GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING"
-  print "#endif  // OS_WIN\n"
+  print(stdcall2)
+  print("#endif  // GMOCK_MUTANT_INCLUDE_LATE_OBJECT_BINDING")
+  print("#endif  // OS_WIN\n")
 
 
 def main():
-  print HEADER
-  for prebound in xrange(0, 6 + 1):
-    for args in xrange(0, 6 + 1):
+  print(HEADER)
+  for prebound in range(0, 6 + 1):
+    for args in range(0, 6 + 1):
       GenerateDispatch(prebound, args)
-  print MUTANT
-  for prebound in xrange(0, 6 + 1):
-    for args in xrange(0, 6 + 1):
+  print(MUTANT)
+  for prebound in range(0, 6 + 1):
+    for args in range(0, 6 + 1):
       GenerateCreateFunctor(prebound, args)
-  print FOOTER
+  print(FOOTER)
   return 0
 
 
